Package com.independentsoft.office.themes

# Class EffectStyle

java.lang.Object
com.independentsoft.office.themes.EffectStyle

public class EffectStyle extends Object
The Class EffectStyle.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EffectStyle()`
  Instantiates a new effect style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EffectStyle`
  `clone()`
  `EffectDag`
  `getEffectDag()`
  Gets the effect dag.
  `EffectList`
  `getEffectList()`
  Gets the effect list.
  `Scene3D`
  `getScene3D()`
  Gets the scene3 d.
  `Shape3D`
  `getShape3D()`
  Gets the shape3 d.
  `void`
  `setEffectDag​(EffectDag effectDag)`
  Sets the effect dag.
  `void`
  `setEffectList​(EffectList effectList)`
  Sets the effect list.
  `void`
  `setScene3D​(Scene3D scene3D)`
  Sets the scene3 d.
  `void`
  `setShape3D​(Shape3D shape3D)`
  Sets the shape3 d.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EffectStyle

    public EffectStyle()
    Instantiates a new effect style.

- ## Method Details

  - ### clone

    public EffectStyle clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getEffectDag

    public EffectDag getEffectDag()
    Gets the effect dag.
    Returns:
      the effect dag

  - ### setEffectDag

    public void setEffectDag​(EffectDag effectDag)
    Sets the effect dag.
    Parameters:
      `effectDag` - the new effect dag

  - ### getEffectList

    public EffectList getEffectList()
    Gets the effect list.
    Returns:
      the effect list

  - ### setEffectList

    public void setEffectList​(EffectList effectList)
    Sets the effect list.
    Parameters:
      `effectList` - the new effect list

  - ### getScene3D

    public Scene3D getScene3D()
    Gets the scene3 d.
    Returns:
      the scene3 d

  - ### setScene3D

    public void setScene3D​(Scene3D scene3D)
    Sets the scene3 d.
    Parameters:
      `scene3D` - the new scene3 d

  - ### getShape3D

    public Shape3D getShape3D()
    Gets the shape3 d.
    Returns:
      the shape3 d

  - ### setShape3D

    public void setShape3D​(Shape3D shape3D)
    Sets the shape3 d.
    Parameters:
      `shape3D` - the new shape3 d